using System;
using System.Collections.Generic;
using System.Text;
using FlashInsight.CodeSchedule.Library;
using FlashInsight.CodeSchedule.Library.Util;

namespace TestProcess
{
    [Serializable]
    public class LoggingProcess : CodeScheduleProcess
    {
        public override bool Execute()
        {

            //check setting
            string strMessage = this.GetSetting("Message");

            int i = 0;
            for (i = 1; i <= 5; i++)
            {
                Log.LogInfo(strMessage + " - [logging process] call " + i.ToString());
                this.Message = "executing call " + i.ToString();
                System.Threading.Thread.Sleep(5000);
            }

            return true;
        }
    }
}
